Test git repository conversion
authorPatrick Mezard <pmezard@gmail.com>
Sun, 26 Aug 2007 15:07:13 +0200
changeset 5231 ceb6f242fb81
parent 5230 4fa0f2dff643
child 5232 7d3dcdd92a1a
child 5233 9d7052f17d77
Test git repository conversion
tests/test-convert-git
tests/test-convert-git.out
new file mode 100755
--- /dev/null
+++ b/tests/test-convert-git
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+"$TESTDIR/hghave" git || exit 80
+
+echo "[extensions]" >> $HGRCPATH
+echo "convert=" >> $HGRCPATH
+
+mkdir git-repo
+cd git-repo
+git init
+echo a > a
+git add a
+git commit -m t1 > /dev/null || echo "git commit error"
+echo b >> a
+git commit -a -m t2 > /dev/null || echo "git commit error"
+cd ..
+
+hg convert git-repo
+
new file mode 100644
--- /dev/null
+++ b/tests/test-convert-git.out
@@ -0,0 +1,8 @@
+Initialized empty Git repository in .git/
+assuming destination git-repo-hg
+initializing destination git-repo-hg repository
+scanning source...
+sorting...
+converting...
+1 t1
+0 t2